Skip to main content
PATCH
/
api
/
v3
/
admin
/
channels
/
{id}
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

const channel = await client.channels.update('channel_xxx', {
  name: 'Wholesale (Updated)',
  active: false,
})
{
  "id": "ch_gbHJdmfrXB",
  "name": "Wholesale (Updated)",
  "code": "wholesale",
  "active": true,
  "default": false,
  "preferred_order_routing_strategy": null,
  "created_at": "2026-06-17T13:36:30.997Z",
  "updated_at": "2026-06-17T13:36:31.278Z"
}

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Path Parameters

id
string
required

Body

application/json
name
string
code
string
active
boolean

Response

200 - application/json

channel updated